# Retrieve traveller journey

{% openapi src="/files/HceBJd5Oa9ix2AdHFpf4" path="v1/traveller-journeys/{short\_id}/" method="get" expanded="true" %}
[50skills Journeys API 2.yaml](https://2745779787-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F3Mz58ywsyckDBxRQPsJf%2Fuploads%2Fgit-blob-e4fb17c5b0e22e04724315d184ccee298927525d%2F50skills%20Journeys%20API%202.yaml?alt=media)
{% endopenapi %}

#### Request samples

{% tabs %}
{% tab title="Python" %}

```python

import requests
response = requests.get(
    "https://journeys-api.50skills.app/v1/traveller-journeys/9rKdez72",
)
print(response.json())      
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
fetch("https://journeys-api.50skills.app/v1/traveller-journeys/9rKdez72")
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));                        
```

{% endtab %}
{% endtabs %}

#### Response samples

{% tabs %}
{% tab title="200 " %}
{% code overflow="wrap" %}

```json
{
   "id":"6mK7ZPGZ",
   "shortId":"6mK7ZPGZ",
   "journey":{
      "shortId":"8oz3gXzp",
      "title":"A path to Mordor",
      "description":null
   },
   "email":"samwise@50skills.com",
   "name":"Samwise Gamgee",
   "phone":null,
   "actions":[
      {
         "shortId":"8GXqV5KY",
         "assignees":[
            
         ],
         "action":"journey_start",
         "values":null,
         "savedValues":null,
         "isAutomatic":false,
         "description":null,
         "dependants":[
            
         ],
         "status":"waiting_to_be_started",
         "parentAction":null,
         "result":null,
         "isHalted":false
      },
      {
         "shortId":"OzYeb6z5",
         "assignees":[
            
         ],
         "action":"send_sms",
         "values":{
            "message":{
               "value":"Dear Samwise, this is an automatic text reminder about your trip to Mordor.",
               "variables":{
                  
               }
            },
            "recipients":[
               {
                  "value":"{{ company_traveller_phone }}",
                  "variables":{
                     "company_traveller_phone":{
                        "type":"phone",
                        "field":"phone",
                        "label":"Traveller phone",
                        "source":"company_traveller"
                     }
                  }
               }
            ]
         },
         "savedValues":null,
         "isAutomatic":true,
         "description":"Send follow up SMS",
         "dependants":[
            
         ],
         "status":"next_up",
         "parentAction":"8GXqV5KY",
         "result":null,
         "isHalted":false
      }
   ],
   "progress":0.0,
   "status":"not_started",
   "picture":null,
   "dateCreated":"2023-11-15T10:21:27.409393Z",
   "dateStarted":null,
   "source":"Manually added",
   "sourceDescription":null,
   "journeyStarted":null,
   "dateCompleted":null,
   "isPaused":false,
   "journeyAttributes":[
      
   ],
   "companyTravellerAttributes":[
      
   ],
   "companyTravellerShortId":"7VyEbEGr",
   "availableValues":{
      "traveller_journey_name":"Samwise Gamgee",
      "traveller_journey_first_name":"Samwise",
      "traveller_journey_last_name":"Gamgee",
      "traveller_email":"samwise@50skills.com",
      "traveller_journey_phone":"",
      "company_traveller_name":"Samwise Gamgee",
      "company_traveller_first_name":"Samwise",
      "company_traveller_last_name":"Gamgee",
      "company_traveller_phone":"",
      "journey_title":"A path to Mordor",
      "company_name":"50skills"
   }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.50skills.app/journeys/api-reference/undefined-4/retrieve-traveller-journey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
